@echo off
if exist "%SystemRoot%\SysWOW64" path %path%;%windir%\SysNative;%SystemRoot%\SysWOW64;%~dp0
bcdedit >nul
if '%errorlevel%' NEQ '0' (goto UACPrompt) else (goto UACAdmin)
:UACPrompt
%1 start "" mshta vbscript:createobject("shell.application").shellexecute("""%~0""","::",,"runas",1)(window.close)&exit
exit /B
:UACAdmin
cd /d "%~dp0"

@echo off

Pnputil.exe /add-driver .\Driver\Netwtw08.INF /install
echo ======================================
IF %errorlevel% neq 0 (
    IF %errorlevel% neq 259 (
      IF %errorlevel% neq 3010 (
   echo .========== Intel_WLAN base install Fail[%errorlevel%] ==========
  )
 )
)
if %errorlevel% EQU 0 echo Pass[%errorlevel%]
if %errorlevel% EQU 259 echo Pass[%errorlevel%]
if %errorlevel% EQU 3010 echo Pass[%errorlevel%]
echo ======================================


Pnputil.exe /add-driver .\PIE\PieExtension.INF /install
echo ======================================
IF %errorlevel% neq 0 (
    IF %errorlevel% neq 259 (
      IF %errorlevel% neq 3010 (
   echo .========== Intel_WLAN_PIE_Ext install Fail[%errorlevel%] ==========
   )
  )
)
if %errorlevel% EQU 0 echo Pass[%errorlevel%]
if %errorlevel% EQU 259 echo Pass[%errorlevel%]
if %errorlevel% EQU 3010 echo Pass[%errorlevel%]
echo ======================================


Pnputil.exe /add-driver .\PIE\PieComponent.INF /install
echo ======================================
IF %errorlevel% neq 0 (
    IF %errorlevel% neq 259 (
      IF %errorlevel% neq 3010 (
   echo .========== Intel_WLAN_PIE_Comp istall Fail[%errorlevel%] ==========
   )
 )
)
if %errorlevel% EQU 0 echo Pass[%errorlevel%]
if %errorlevel% EQU 259 echo Pass[%errorlevel%]
if %errorlevel% EQU 3010 echo Pass[%errorlevel%]
echo ======================================
